> ## Documentation Index
> Fetch the complete documentation index at: https://docs.adskull.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Describe a video with shots, OCR, and transcript



## OpenAPI

````yaml /api/openapi.yaml post /v1/llm/video/describe
openapi: 3.1.0
info:
  title: AdSkull Public API
  version: 1.0.0
  summary: Public API for AdSkull creative generation.
  description: >
    Create AI ad assets, images, videos, voiceovers, custom voices, and talking
    avatars.

    Responses expose AdSkull product resources.
servers:
  - url: https://api.adskull.io
security:
  - bearerAuth: []
tags:
  - name: Account
  - name: Models
  - name: Assets
  - name: Images
  - name: Videos
  - name: Voices
  - name: Talking Avatars
  - name: Webhooks
  - name: LLM
  - name: LLM OpenAI Compat
  - name: LLM Anthropic Compat
paths:
  /v1/llm/video/describe:
    post:
      tags:
        - LLM
      summary: Describe a video with shots, OCR, and transcript
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - video_url
              properties:
                video_url:
                  type: string
                  format: uri
                model:
                  type: string
                  nullable: true
                detail:
                  type: string
                  enum:
                    - auto
                    - short
                    - long
                  default: auto
                frame_sample_rate:
                  type: number
                  minimum: 0.5
                  maximum: 2
                  default: 1
      responses:
        '200':
          description: Video description.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LLMVideoResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    LLMVideoResponse:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
          const: video.description
        model:
          type: string
        summary:
          type: string
        duration_seconds:
          type: number
          nullable: true
        shots:
          type: array
          items:
            type: object
            properties:
              start:
                type: number
              end:
                type: number
              description:
                type: string
        on_screen_text:
          type: array
          items:
            type: string
        spoken_transcript:
          type: string
        usage:
          $ref: '#/components/schemas/LLMUsage'
    LLMUsage:
      type: object
      properties:
        input_tokens:
          type: integer
        output_tokens:
          type: integer
        cached_tokens:
          type: integer
        millicredits_charged:
          type: integer
        credits_charged:
          type: number
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````